Agents

Reference documentation for Agents.

Endpoints


GET/agents

List agents

Returns all active agent members for the authenticated organization.

Request

GET
/agents
curl -X GET https://app.voxxi.ai/api/external/v1/agents \
  -H "Authorization: Bearer {token}"

200 Response

{
  "data": [
    {
      "id": "string",
      "userId": "string",
      "name": "string",
      "email": "user@example.com",
      "image": "https://example.com",
      "createdAt": "2026-01-01T00:00:00Z"
    }
  ]
}

POST/agents

Create agent

Creates a new agent member for the authenticated organization.

Request body

  • Name
    name
    Type
    string, required
    Description

    Full name of the agent.

  • Name
    email
    Type
    string, required
    Description

    Email for the agent account.

Request

POST
/agents
curl -X POST https://app.voxxi.ai/api/external/v1/agents \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","email":"user@example.com"}'

201 Response

{
  "data": {
    "id": "string",
    "userId": "string",
    "name": "string",
    "email": "user@example.com"
  }
}

DELETE/agents/{id}

Delete agent

Deletes an existing agent member from the authenticated organization.

Required parameters

  • Name
    id
    Type
    string, required
    Description

    Agent member id.

Request

DELETE
/agents/{id}
curl -X DELETE https://app.voxxi.ai/api/external/v1/agents/id \
  -H "Authorization: Bearer {token}"

200 Response

{
  "success": true
}

PATCH/agents/{id}

Update agent

Updates an existing agent name and/or email.

Required parameters

  • Name
    id
    Type
    string, required
    Description

    Agent member id.

Request body

  • Name
    name
    Type
    string
    Description

    Updated full name of the agent.

  • Name
    email
    Type
    string
    Description

    Updated agent email address.

Request

PATCH
/agents/{id}
curl -X PATCH https://app.voxxi.ai/api/external/v1/agents/id \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","email":"user@example.com"}'

200 Response

{
  "data": {
    "memberId": "string",
    "userId": "string",
    "name": "string",
    "email": "user@example.com",
    "image": "https://example.com"
  }
}